VHANGUP(2)

NAME
vhangup - virtually hangup the current tty

SYNOPSIS
#include <unistd.h>

int vhangup(void);

DESCRIPTION
vhangup simulates a hangup on the current terminal. This call arranges for other users to have a “clean” tty at login time.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EPERM
    The user is not the super-user.

SEE ALSO
init(8)